Check Splunk HEC health
Use this endpoint to check whether the Splunk HTTP Event Collector (HEC) compatible API is available. No authentication is required. For more information, see Send data using the Splunk HEC API.
The base domain for this endpoint is hec. prefixed to the base domain of your edge deployment. For example, if your edge deployment’s base domain is us-east-1.aws.edge.axiom.co, the HEC endpoint is https://hec.us-east-1.aws.edge.axiom.co.
| Edge deployment | Base domain for ingest and query |
|---|---|
US East 1 (AWS) |
us-east-1.aws.edge.axiom.co |
EU Central 1 (AWS) |
eu-central-1.aws.edge.axiom.co |
GET
/services/collector/healthFeatures
Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.
Input0
Sent from your browser straight to the API — never to Docsbook, never stored.
Output2
A human-readable status message.
The Splunk status code.
0 indicates success, 17 indicates a healthy collector, and 5, 6, and 7 indicate no data, invalid data format, and incorrect index respectively.Responses
200The collector is healthy.
Example input
curl 'https://hec.AXIOM_DOMAIN/services/collector/health' \
-H 'Authorization: Bearer API_TOKEN'Example output
{
"text": "Success",
"code": 0
}